function WindGenTotalLoadYTD2017S1 = import_prod_2017_2(workbookFile, sheetName, startRow, endRow)
%IMPORTFILE Import data from a spreadsheet
%  WINDGENTOTALLOADYTD2017S1 = IMPORTFILE(FILE) reads data from the
%  first worksheet in the Microsoft Excel spreadsheet file named FILE.
%  Returns the numeric data.
%
%  WINDGENTOTALLOADYTD2017S1 = IMPORTFILE(FILE, SHEET) reads from the
%  specified worksheet.
%
%  WINDGENTOTALLOADYTD2017S1 = IMPORTFILE(FILE, SHEET, STARTROW, ENDROW)
%  reads from the specified worksheet for the specified row interval(s).
%  Specify STARTROW and ENDROW as a pair of scalars or vectors of
%  matching size for dis-contiguous row intervals.
%
%  Example:
%  WindGenTotalLoadYTD2017S1 = importfile("/home/lglroman/Dropbox/SATIE projets recherche/pscc2022/codes/WindGenTotalLoadYTD_2017.xls", "July-December", 27, 53030);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 23-Jun-2021 14:02:34

%% Input handling

% If no sheet is specified, read first sheet
if nargin == 1 || isempty(sheetName)
    sheetName = 2;
end

% If row start and end points are not specified, define defaults
if nargin <= 3
    startRow = 27;
    endRow = 53030;
end

%% Setup the Import Options
opts = spreadsheetImportOptions("NumVariables", 1);

% Specify sheet and range
opts.Sheet = sheetName;
opts.DataRange = "C" + startRow(1) + ":C" + endRow(1);

% Specify column names and types
opts.VariableNames = "TOTALWINDGENERATIONINBPACONTROLAREAMWSCADA79687";
opts.VariableTypes = "double";

% Import the data
WindGenTotalLoadYTD2017S1 = readtable(workbookFile, opts, "UseExcel", false);

for idx = 2:length(startRow)
    opts.DataRange = "C" + startRow(idx) + ":C" + endRow(idx);
    tb = readtable(workbookFile, opts, "UseExcel", false);
    WindGenTotalLoadYTD2017S1 = [WindGenTotalLoadYTD2017S1; tb]; %#ok<AGROW>
end

%% Convert to output type
WindGenTotalLoadYTD2017S1 = table2array(WindGenTotalLoadYTD2017S1);
end